import * as react from 'react';
import { CrossmintWallets, Callbacks } from '@crossmint/wallets-sdk';
import { ValidWalletState } from '../providers/CrossmintWalletProvider.cjs';
import { GetOrCreateWalletProps } from '../types/wallet.cjs';
import 'react/jsx-runtime';

declare function useWalletState({ crossmintWallets, crossmintJwt, callbacks, }: {
    crossmintWallets: CrossmintWallets;
    crossmintJwt: string | null;
    callbacks?: Callbacks;
}): {
    state: ValidWalletState;
    setState: react.Dispatch<react.SetStateAction<ValidWalletState>>;
    getOrCreateWallet: (props: GetOrCreateWalletProps) => Promise<{
        startedCreation: boolean;
        reason: string;
    } | {
        startedCreation: boolean;
        reason?: undefined;
    }>;
    clearWallet: () => void;
};

export { useWalletState };
