import { EVMSmartWalletChain, EVMSignerInput, SolanaSignerInput } from '@crossmint/wallets-sdk';

type GetOrCreateWalletBaseProps = {
    args: {
        linkedUser?: string;
    };
};
type GetOrCreateWalletProps = ({
    type: "evm-smart-wallet";
    args: {
        chain: EVMSmartWalletChain;
        adminSigner?: EVMSignerInput;
    };
} & GetOrCreateWalletBaseProps) | ({
    type: "solana-smart-wallet";
    args: {
        adminSigner?: SolanaSignerInput;
    };
} & GetOrCreateWalletBaseProps);
type WalletBaseConfig = {
    createOnLogin: "all-users" | "off";
    showPasskeyHelpers?: boolean;
    linkedUser?: string;
};
type CrossmintAuthEmbeddedWallets = ({
    type: "evm-smart-wallet";
    defaultChain: EVMSmartWalletChain;
    adminSigner?: EVMSignerInput;
} & WalletBaseConfig) | ({
    type: "solana-smart-wallet";
    adminSigner?: SolanaSignerInput;
} & WalletBaseConfig);

export type { CrossmintAuthEmbeddedWallets, GetOrCreateWalletProps };
